Skip to content
iTick
  1. Docs
  2. REST API
  3. Fund
  4. Batch Real-Time Quote

Batch Real-Time Quote

Provides batch real-time quote data streams for exchange-traded ETFs and LOFs, with data covering markets including Chinese funds, US funds, and Hong Kong funds, fully presenting key indicators such as latest price, change percentage, trading volume, and IOPV net asset value estimation for multiple funds. The data is continuously updated in real-time with millisecond latency to ensure accurate synchronization of market quotes.

GET/fund/quotes

Request Parameters

regionenumRequired

Market code

codesstringRequired

Product code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

onumber

Opening price

pnumber

Previous Closing Price

hnumber

Highest price

lnumber

Lowest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

tunumber

Trading amount

tsnumber

Trading status of the symbol

chnumber

Change

chpnumber

Change %

Code Examples

import requests

url = "https://api.itick.org/fund/quotes?region=US&codes=QQQ,IEF"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/fund/quotes?region=US&codes=QQQ,IEF

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "QQQ": {
      "s": "QQQ",
      "ld": 613.7,
      "o": 622.08,
      "p": 622.08,
      "h": 623.54,
      "l": 611.36,
      "t": 1765573199000,  // 2025-12-12 20:59:59 UTC
      "v": 71141919,
      "tu": 43822640541.4171,
      "ch": -11.88,
      "chp": -1.9,
      "ts": 0
    },
    "IEF": {
      "s": "IEF",
      "ld": 96.19,
      "o": 96.19,
      "p": 96.19,
      "h": 96.2726,
      "l": 96.17,
      "t": 1765573199000,  // 2025-12-12 20:59:59 UTC
      "v": 7414510,
      "tu": 713319664.251565,
      "ch": -0.26,
      "chp": -0.27,
      "ts": 0
    }
  }
}